/// <reference types="react" />
import * as React from 'react';
import * as data from '../data';
export interface IFormBuilderDroppableProps {
    index: number;
    field: data.IField;
    onDrop: (target: data.IDropTargetItem, source: data.IDragSourceItem, didDrop: boolean) => void;
    parentId?: string;
    canDrop?: (source: data.IDragSourceItem, target: data.IDropTargetItem) => boolean;
}
export declare const FormBuilderDroppable: React.ComponentClass<IFormBuilderDroppableProps>;
